
/**
 * Anything that can sort an array of integers between two indices
 * 
 * @author Todd A. Whittaker
 * @version July 2005
 */

public interface Sorter
{
	/**
	 * Sort an array between left and right indices
	 * @param arr the array to sort
	 * @param left the left index for sorting
	 * @param right the right index for sorting (exclusive)
	 * @return the sorted array
	 */
	int[] sort(int arr[], int left, int right);
}
